StudentTestDialog Class Reference

Filter options dialog. More...

`#include <StudentTestDialog.h>`

Inheritance diagram for StudentTestDialog:

## Public Member Functions

| StudentTestDialog (const StatisticTest::TestType &type, Table *t, bool twoSamples=false, QWidget *parent=0)

## Private Slots

void | accept ()
void | addConfidenceLevel ()
void | enableDescriptiveStatistics ()
void | updateMeanLabel ()
void | updateMeanLabels (double)

## Private Member Functions

void | acceptChiSquareTest ()
void | acceptStudentTest ()
void | closeEvent (QCloseEvent *)
void | outputResults (StatisticTest *stats, const QString &s)

## Private Attributes

QRadioButton * | bothTailButton
QLabel * | bothTailLabel
CollapsiveGroupBox * | boxConfidenceInterval
DoubleSpinBox * | boxMean
QCheckBox * | boxNoteWindow
QCheckBox * | boxOtherSampleSize
CollapsiveGroupBox * | boxPowerAnalysis
DoubleSpinBox * | boxPowerLevel
QCheckBox * | boxResultsLog
QCheckBox * | boxResultsTable
QComboBox * | boxSample1
QComboBox * | boxSample2
QSpinBox * | boxSampleSize
DoubleSpinBox * | boxSignificance
QPushButton * | buttonAddLevel
QPushButton * | buttonOk
Note * | d_note
Table * | d_table
StatisticTest::TestType | d_test_type
bool | d_two_samples
QRadioButton * | independentTestBtn
QRadioButton * | leftTailButton
QLabel * | leftTailLabel
QLabel * | meanLabel
QLineEdit * | noteNameLineEdit
CollapsiveGroupBox * | outputSettingsBox
QRadioButton * | pairedTestBtn
QRadioButton * | rightTailButton
QLabel * | rightTailLabel
QCheckBox * | showStatisticsBox
QLineEdit * | tableNameLineEdit

## Detailed Description

Filter options dialog.

## Constructor & Destructor Documentation

StudentTestDialog::StudentTestDialog | ( | const StatisticTest::TestType & | type,
|  | Table * | t,
|  | bool | twoSamples = `false`,
|  | QWidget * | parent = `0`
| ) |  |

References accept(), addConfidenceLevel(), MdiSubWindow::applicationWindow(), bothTailButton, bothTailLabel, boxConfidenceInterval, boxMean, boxNoteWindow, boxOtherSampleSize, boxPowerAnalysis, boxPowerLevel, boxResultsLog, boxResultsTable, boxSample1, boxSample2, boxSampleSize, boxSignificance, buttonAddLevel, buttonOk, StatisticTest::ChiSquareTest, Table::colName(), ApplicationWindow::columnsList(), ApplicationWindow::d_descriptive_stats, d_note, ApplicationWindow::d_stats_confidence, ApplicationWindow::d_stats_output, ApplicationWindow::d_stats_power, ApplicationWindow::d_stats_result_log, ApplicationWindow::d_stats_result_notes, ApplicationWindow::d_stats_result_table, ApplicationWindow::d_stats_significance_level, d_table, enableDescriptiveStatistics(), independentTestBtn, leftTailButton, leftTailLabel, meanLabel, noteNameLineEdit, outputSettingsBox, pairedTestBtn, rightTailButton, rightTailLabel, Table::selectedColumns(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), showStatisticsBox, StatisticTest::StudentTest, tableNameLineEdit, updateMeanLabel(), and updateMeanLabels().

## Member Function Documentation

void StudentTestDialog::accept | ( |  | ) |

private slot

References acceptChiSquareTest(), acceptStudentTest(), StatisticTest::ChiSquareTest, d_test_type, and StatisticTest::StudentTest.

Referenced by StudentTestDialog().

void StudentTestDialog::acceptChiSquareTest | ( |  | ) |

private

References StatisticTest::Both, bothTailButton, boxConfidenceInterval, boxMean, boxSample1, boxSignificance, ApplicationWindow::d_decimal_digits, StatisticTest::Left, outputResults(), StatisticTest::Right, rightTailButton, showStatisticsBox, and DoubleSpinBox::value().

Referenced by accept().

void StudentTestDialog::acceptStudentTest | ( |  | ) |

private

References StatisticTest::Both, bothTailButton, boxConfidenceInterval, boxMean, boxOtherSampleSize, boxPowerAnalysis, boxPowerLevel, boxSample1, boxSample2, boxSampleSize, boxSignificance, ApplicationWindow::d_decimal_digits, d_two_samples, StatisticTest::Left, outputResults(), pairedTestBtn, StatisticTest::Right, rightTailButton, showStatisticsBox, and DoubleSpinBox::value().

Referenced by accept().

void StudentTestDialog::addConfidenceLevel | ( |  | ) |

private slot

References boxConfidenceInterval, DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by StudentTestDialog().

void StudentTestDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References boxConfidenceInterval, boxNoteWindow, boxPowerAnalysis, boxResultsLog, boxResultsTable, boxSignificance, ApplicationWindow::d_descriptive_stats, ApplicationWindow::d_stats_confidence, ApplicationWindow::d_stats_output, ApplicationWindow::d_stats_power, ApplicationWindow::d_stats_result_log, ApplicationWindow::d_stats_result_notes, ApplicationWindow::d_stats_result_table, ApplicationWindow::d_stats_significance_level, d_test_type, outputSettingsBox, showStatisticsBox, StatisticTest::StudentTest, and DoubleSpinBox::value().

void StudentTestDialog::enableDescriptiveStatistics | ( |  | ) |

private slot

References boxNoteWindow, boxResultsLog, and showStatisticsBox.

Referenced by StudentTestDialog().

void StudentTestDialog::outputResults | ( | StatisticTest * | stats,
|  | const QString & | s
| ) |  |

private

References boxNoteWindow, boxResultsLog, boxResultsTable, Note::currentEditor(), d_note, d_table, ApplicationWindow::newNote(), noteNameLineEdit, StatisticTest::outputResultsTo(), StatisticTest::resultTable(), Note::setText(), ApplicationWindow::table(), tableNameLineEdit, ApplicationWindow::updateLog(), and ApplicationWindow::window().

Referenced by acceptChiSquareTest(), and acceptStudentTest().

void StudentTestDialog::updateMeanLabel | ( |  | ) |

private slot

References bothTailButton, StatisticTest::ChiSquareTest, d_test_type, d_two_samples, leftTailButton, meanLabel, and rightTailButton.

Referenced by StudentTestDialog().

void StudentTestDialog::updateMeanLabels | ( | double | val | ) |

private slot

References bothTailLabel, ApplicationWindow::d_decimal_digits, leftTailLabel, and rightTailLabel.

Referenced by StudentTestDialog().

## Member Data Documentation

QRadioButton* StudentTestDialog::bothTailButton

private

Referenced by acceptChiSquareTest(), acceptStudentTest(), StudentTestDialog(), and updateMeanLabel().

QLabel* StudentTestDialog::bothTailLabel

private

Referenced by StudentTestDialog(), and updateMeanLabels().

CollapsiveGroupBox* StudentTestDialog::boxConfidenceInterval

private

Referenced by acceptChiSquareTest(), acceptStudentTest(), addConfidenceLevel(), closeEvent(), and StudentTestDialog().

DoubleSpinBox* StudentTestDialog::boxMean

private

Referenced by acceptChiSquareTest(), acceptStudentTest(), and StudentTestDialog().

QCheckBox* StudentTestDialog::boxNoteWindow

private

Referenced by closeEvent(), enableDescriptiveStatistics(), outputResults(), and StudentTestDialog().

QCheckBox* StudentTestDialog::boxOtherSampleSize

private

Referenced by acceptStudentTest(), and StudentTestDialog().

CollapsiveGroupBox* StudentTestDialog::boxPowerAnalysis

private

Referenced by acceptStudentTest(), closeEvent(), and StudentTestDialog().

DoubleSpinBox* StudentTestDialog::boxPowerLevel

private

Referenced by acceptStudentTest(), and StudentTestDialog().

QCheckBox* StudentTestDialog::boxResultsLog

private

Referenced by closeEvent(), enableDescriptiveStatistics(), outputResults(), and StudentTestDialog().

QCheckBox* StudentTestDialog::boxResultsTable

private

Referenced by closeEvent(), outputResults(), and StudentTestDialog().

QComboBox* StudentTestDialog::boxSample1

private

Referenced by acceptChiSquareTest(), acceptStudentTest(), and StudentTestDialog().

QComboBox* StudentTestDialog::boxSample2

private

Referenced by acceptStudentTest(), and StudentTestDialog().

QSpinBox* StudentTestDialog::boxSampleSize

private

Referenced by acceptStudentTest(), and StudentTestDialog().

DoubleSpinBox* StudentTestDialog::boxSignificance

private

Referenced by acceptChiSquareTest(), acceptStudentTest(), closeEvent(), and StudentTestDialog().

QPushButton* StudentTestDialog::buttonAddLevel

private

Referenced by StudentTestDialog().

QPushButton* StudentTestDialog::buttonOk

private

Referenced by StudentTestDialog().

Note* StudentTestDialog::d_note

private

Referenced by outputResults(), and StudentTestDialog().

Table* StudentTestDialog::d_table

private

Referenced by outputResults(), and StudentTestDialog().

StatisticTest::TestType StudentTestDialog::d_test_type

private

Referenced by accept(), closeEvent(), and updateMeanLabel().

bool StudentTestDialog::d_two_samples

private

Referenced by acceptStudentTest(), and updateMeanLabel().

QRadioButton* StudentTestDialog::independentTestBtn

private

Referenced by StudentTestDialog().

QRadioButton* StudentTestDialog::leftTailButton

private

Referenced by StudentTestDialog(), and updateMeanLabel().

QLabel* StudentTestDialog::leftTailLabel

private

Referenced by StudentTestDialog(), and updateMeanLabels().

QLabel* StudentTestDialog::meanLabel

private

Referenced by StudentTestDialog(), and updateMeanLabel().

QLineEdit* StudentTestDialog::noteNameLineEdit

private

Referenced by outputResults(), and StudentTestDialog().

CollapsiveGroupBox* StudentTestDialog::outputSettingsBox

private

Referenced by closeEvent(), and StudentTestDialog().

QRadioButton* StudentTestDialog::pairedTestBtn

private

Referenced by acceptStudentTest(), and StudentTestDialog().

QRadioButton* StudentTestDialog::rightTailButton

private

Referenced by acceptChiSquareTest(), acceptStudentTest(), StudentTestDialog(), and updateMeanLabel().

QLabel* StudentTestDialog::rightTailLabel

private

Referenced by StudentTestDialog(), and updateMeanLabels().

QCheckBox* StudentTestDialog::showStatisticsBox

private

Referenced by acceptChiSquareTest(), acceptStudentTest(), closeEvent(), enableDescriptiveStatistics(), and StudentTestDialog().

QLineEdit* StudentTestDialog::tableNameLineEdit

private

Referenced by outputResults(), and StudentTestDialog().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/StudentTestDialog.h
- qtiplot/src/analysis/dialogs/StudentTestDialog.cpp